org.apache.commons.jelly.impl

## Class StaticTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.DynaTagSupport
    - - org.apache.commons.jelly.impl.StaticTag

All Implemented Interfaces:
  DynaTag, Tag

    public class StaticTag
    extends DynaTagSupport

`StaticTag` represents a static XML element which echos itself to XMLOutput when it is invoked.

Version:
  $Revision: 231483 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`StaticTag()`
`StaticTag(java.lang.String uri, java.lang.String localName, java.lang.String qname)`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getLocalName()`
`java.lang.String` `getQName()`
`java.lang.String` `getUri()`
`void` `setAttribute(java.lang.String name, java.lang.Object value)` Sets an attribute value of this tag before the tag is invoked
`void` `setAttribute(java.lang.String name, java.lang.String prefix, java.lang.String nsURI, java.lang.Object value)`
`void` `setLocalName(java.lang.String localName)`
`void` `setQName(java.lang.String qname)`
`void` `setUri(java.lang.String uri)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.commons.jelly.DynaTagSupport

`getAttributeType`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.commons.jelly.Tag

`getBody, getContext, getParent, invokeBody, setBody, setContext, setParent`

### Constructor Detail

#### StaticTag

    public StaticTag()

#### StaticTag

    public StaticTag(java.lang.String uri,
             java.lang.String localName,
             java.lang.String qname)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setAttribute

    public void setAttribute(java.lang.String name,
                    java.lang.String prefix,
                    java.lang.String nsURI,
                    java.lang.Object value)

#### setAttribute

    public void setAttribute(java.lang.String name,
                    java.lang.Object value)
                      throws JellyTagException

Description copied from interface: `DynaTag`
Sets an attribute value of this tag before the tag is invoked

Throws:
  `JellyTagException`

#### getUri

    public java.lang.String getUri()

#### setUri

    public void setUri(java.lang.String uri)

#### getQName

    public java.lang.String getQName()

#### setQName

    public void setQName(java.lang.String qname)

#### getLocalName

    public java.lang.String getLocalName()

#### setLocalName

    public void setLocalName(java.lang.String localName)